#
# spec file for package mpiblacs (Version 1.1)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  f2c g77 mpich
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs f2c file fileutils findutils flex g77 gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils mpich ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         mpiblacs
Copyright:    1999 - not specified
Group:        Development/Libraries/Parallel
Summary:      BLACS (Basic Linear Algebra Communication Subprograms)
Version:      1.1
Release:      325
Source:	      ftp://ftp.netlib.org/blacs/mpiblacs.tgz
Source1:      mpiblacs-patch03.tgz
Source2:      f77blacsqref.ps.gz
Source3:      mpiblacs_issues.ps.gz
Source4:      cblacsqref.ps.gz
Source5:      lawn94.ps.gz
Source6:      blacstester.tgz
Patch:        BLACS.dif
URL:	      http://www.netlib.org/blacs/
Prefix:       /usr
Autoreqprov:  on
Obsoletes:	lamblacs, chblacs
BuildRoot:    /tmp/mpiblacs-%{version}-root

%description
The BLACS (Basic Linear Algebra Communication Subprograms) project is an ongoing investigation whose purpose is to create a linear algebra oriented message passing interface that may be implemented efficiently and uniformly across a large range of distributed memory platforms.
The length of time required to implement efficient distributed memory algorithms makes it impractical to rewrite programs for every new parallel machine. The BLACS exist in order to make linear algebra applications both easier to program and more portable.

Authors:
--------
    Netlib <blacs@cs.utk.edu>

SuSE series: beo

%prep
%setup -b 6 -b 1 -n BLACS  
%patch
mkdir -p DOC
cp %{SOURCE2}  DOC
cp %{SOURCE3}  DOC
cp %{SOURCE4}  DOC
cp %{SOURCE5}  DOC

%build
rm -rf $RPM_BUILD_ROOT
if [  -z "$MPI_HOME" ]; then
        export MPI_HOME=/usr/lib/mpich
fi      
make MPI_HOME=$MPI_HOME mpi

%install
mkdir -p   ${RPM_BUILD_ROOT}/%{prefix}/lib
cd LIB; mv blacsCinit_MPI-LINUX-0.a libblacsCinit.a; mv blacsF77init_MPI-LINUX-0.a libblacsF77init.a; mv blacs_MPI-LINUX-0.a libblacs.a; cd ..
cp LIB/*.a ${RPM_BUILD_ROOT}/%{prefix}/lib

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc DOC/*
/usr/lib/libblacs*.a

%changelog -n mpiblacs
* Tue Nov 07 2000 - nashif@suse.de
- Dropped sub-packages: lamblacs, chblacs
- Package now compiles with mpich only
* Thu May 11 2000 - nashif@suse.de
- Updated to work with newly submitted lam
- moved all netlib libraries to /opt/netlib
- in /opt/netlib/blacs new libaries casn be created or new devices can be added
* Thu Jan 20 2000 - nashif@suse.de
- Now generates 2 packages, chblacs and lamblacs for lam and mpich.
* Fri Nov 05 1999 - nashif@suse.de
- changed TRANSCOMM to -DUseMpi2
* Fri Oct 22 1999 - uli@suse.de
- spec now creates /usr/lib/blacs a little earlier
* Thu Oct 21 1999 - nashif@suse.de
- Initial Release
